SAP Knowledge Base Article - Preview

3464254 - Subengine "com.sap.python3" shut down with error: Fail using schema {} info to create new type : 'name' - SAP DI

Symptom

Get below Debug/Error information in Diagnostic file with Debug mode:

>> DEBUG |vtype_registry: "Fail using schema {} info to create new type : 'name'" [ registry.py 633 ]|sub-python|MainProcess|139820493952768|wrap_call|registry.py(633)
WARN|PythonEngine: Traceback (most recent call last):
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 179, in vtype_from_schema
dic["name"] = schema["name"]
KeyError: 'name'

>> During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 630, in wrap_call
func(*args)
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 697, in __populate_types_from_ports
self.request_vtypes(ports_refs)
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 688, in request_vtypes
self.register_schema(dic["definition"], dic["scope"])
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 828, in register_schema
self.register_table(schema)
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 881, in register_table
self.register_scalar(t.definition)
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 870, in register_scalar
vtype = vtype_from_schema(schema)
File "/vrep/vflow/subengines/com/sap/python3/pythree_subengine/vtype/registry.py", line 182, in vtype_from_schema
raise KeyError(
KeyError: "Fail using schema {} info to create new type : 'name'"

>> |ERROR|"Fail using schema {} info to create new type : 'name'" {operator="subengine.v2.operator",graph_id="<>",group="default",operator_id="subengineOperatorV20"}|vflow-graph-runtime|com.sap.system.process.subengineOperator|64|subErrors|loop.go(135)

>> |ERROR |PythonEngine: Unexpected error while stopping graph: 'NoneType' object has no attribute 'get' [ graph.py 519 ]|sub-python|MainProcess|<>|stop|graph.py(519)

>> DEBUG|Set process sts. Old sts: initializing, new sts: dead, old message: Process is initializing, new message: subengine operator init error: "Fail using schema {} info to create new type : 'name'"; the following error also happened during shutdown: expected status code 200 but got 500: "" {operator="subengine.v2.operator",graph_id="<>",group="default",operator_id="subengineOperatorV20"}|vflow-graph-runtime|com.sap.system.process.subengineOperator|64|setStatus|process_status_monitor.go(172)


Read more...

Environment

  • SAP Data Intelligence Cloud 

Product

SAP S/4HANA 2023

Keywords

Python Gen2, CDS, vtype_from_schema, wrap_call, __populate_types_from_ports, request_vtypes, register_schema, register_table, register_scalar, vtype_from_schema, schema {}, expected status code , KBA , CA-DI , Data Intelligence , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP for Me (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.